# 帮助文档

<!-- 原文：[https://docs.gitlab.com/ee/README.html](https://docs.gitlab.com/ee/README.html)  -->

*   [概览](#概览)
*   [热门话题](#热门话题)
*   [The entire DevOps Lifecycle](#the-entire-devops-lifecycle)
    *   [Manage](#manage)
    *   [Plan](#plan)
    *   [Create](#create)
        *   [Projects and Groups](#projects-and-groups)
        *   [Repositories](#repositories)
        *   [Merge Requests](#merge-requests)
        *   [Integration and Automation](#integration-and-automation)
    *   [Verify](#verify)
    *   [Package](#package)
    *   [Release](#release)
    *   [Configure](#configure)
    *   [Monitor](#monitor)
    *   [Secure](#secure)
*   [New to Git and GitLab?](#new-to-git-and-gitlab)
    *   [User account](#user-account)
    *   [Git and GitLab](#git-and-gitlab)
*   [Coming to GitLab from another platform](#coming-to-gitlab-from-another-platform)
*   [Build an integration with GitLab](#build-an-integration-with-gitlab)
*   [Contributing to GitLab](#contributing-to-gitlab)

*访问[docs.gitlab.com，](https://docs.gitlab.com/ee/)以获得优化的导航，可发现性和可读性.*

## 概览[](#overview "Permalink")

无论您如何使用 GitLab，我们都会为您提供文档.

| 基本文件 | Essential documentation |
| --- | --- |
| [**用户文件**](user/index.html)探索适用于 GitLab 用户的功能和概念. | [**管理员文件**](administration/index.html)GitLab 自我管理管理员需要知道的一切. |
| [**为 GitLab 做贡献**](#contributing-to-gitlab)在 GitLab，每个人都可以贡献力量！ | [**是 Git 和 GitLab 的新手吗？**](#new-to-git-and-gitlab)我们有资源可以帮助您入门. |
| [**与 GitLab 建立整合？**](#build-an-integration-with-gitlab)请查阅我们的自动化和集成文档. | [**从另一个平台进入 GitLab？**](#coming-to-gitlab-from-another-platform)请查阅我们的便捷指南. |
| [**安装 GitLab**](https://about.gitlab.com/install/)不同平台的安装选项. | [**顾客**](subscriptions/index.html)给新老客户的信息. |
| [**更新 GitLab**](update/README.html)将您的 GitLab 自我管理实例更新到最新版本. | [**参考架构**](administration/reference_architectures/index.html)GitLab 的参考架构 |
| [**GitLab 发布**](https://about.gitlab.com/releases/)GitLab 的新功能. |  &nbsp; |

## 热门话题[](#popular-topics "Permalink")

看看我们一些最受欢迎的主题：

| 热门话题 | Description |
| --- | --- |
| [Two-factor authentication](user/profile/account/two_factor_authentication.html) | 提高您的 GitLab 帐户的安全性. |
| [GitLab groups](user/group/index.html) | 一起管理项目. |

| [Activate GitLab EE with a license](user/admin_area/license.html) | 使用许可证激活 GitLab 企业版功能. |
| [Back up and restore GitLab](raketasks/backup_restore.html) | 用于备份和还原 GitLab 自管理实例的耙任务. |
| [GitLab release and maintenance policy](policy/maintenance.html) | 版本命名和节奏策略以及升级建议. |
| [Elasticsearch integration](integration/elasticsearch.html) | 将 Elasticsearch 与 GitLab 集成以启用高级搜索. |
| [Omnibus GitLab database settings](https://docs.gitlab.com/omnibus/settings/database.html) | Omnibus GitLab 自我管理实例的数据库设置. |
| [Omnibus GitLab NGINX settings](https://docs.gitlab.com/omnibus/settings/nginx.html) | Omnibus GitLab 自我管理实例的 NGINX 设置. |
| [Omnibus GitLab SSL configuration](https://docs.gitlab.com/omnibus/settings/ssl.html) | Omnibus GitLab 自我管理实例的 SSL 设置. |
| [GitLab.com settings](user/gitlab_com/index.html) | 用于 GitLab.com 的设置. |

<!-- The entire DevOps Lifecycle[](#the-entire-devops-lifecycle "Permalink")

GitLab 是第一个用于软件开发，安全性和操作的单一应用程序，可启用[并发 DevOps](https://about.gitlab.com/concurrent-devops/) ，从而使软件生命周期更快并从根本上提高了业务速度.

GitLab 为[DevOps 生命周期的每个阶段](https://about.gitlab.com/stages-devops-lifecycle/)提供解决方案：

[![DevOps Stages](img/7cc97c84798f08bc78608f1afa423aa2.png)](img/devops-stages.png)

GitLab 就像制作软件的顶级厨房. 作为行政总厨，您可以决定要提供的软件. 使用您的食谱，GitLab 可以处理所有准备工作，烹饪和交付，因此您可以比以往更快地处理订单.

以下各节提供了每个 DevOps 阶段的文档链接：

| DevOps 阶段 | 有关的文件 |
| --- | --- |
| [Manage](#manage) | 统计和分析功能. |
| [Plan](#plan) | 项目计划和管理功能. |
| [Create](#create) | 源代码，数据创建和管理功能. |
| [Verify](#verify) | 测试，代码质量和持续集成功能. |
| [Package](#package) | Docker 容器注册表. |
| [Release](#release) | 应用程序发布和交付功能. |
| [Configure](#configure) | 应用程序和基础结构配置工具. |
| [Monitor](#monitor) | 应用程序监视和指标功能. |
| [Secure](#secure) | 安全功能功能. |

[Back to Overview](#overview)

### Manage[](#manage "Permalink")

GitLab 提供统计数据并深入了解您如何在组织中最大化 GitLab 的价值.

以下文档与 DevOps **Manage**阶段有关：

| 管理主题 | Description |
| --- | --- |
| [Authentication and
Authorization](administration/auth/README.html) | 支持的身份验证和授权提供者. |
| [GitLab Value Stream Analytics](user/project/cycle_analytics.html) | 测量您拥有的每个项目从[构思到生产](https://about.gitlab.com/blog/2016/08/05/continuous-integration-delivery-and-deployment-with-gitlab/#from-idea-to-production-with-gitlab)所需的时间. |
| [Instance Statistics](user/instance_statistics/index.html) | 查找有关您使用的 GitLab 功能数量和用户活动的统计信息. |

[Back to Overview](#overview) -->

### Plan[](#plan "Permalink")

无论您使用 Waterfall，敏捷还是会话开发，GitLab 均可简化您的协作工作流程.

使用 GitLab 灵活的项目管理工具可视化，确定优先级，协调和跟踪进度.

以下文档与 DevOps **计划**阶段有关：

| 计划主题 | Description |
| --- | --- |
| [Burndown Charts](user/project/milestones/burndown_charts.html) | 在特定的里程碑中观察项目的进度. |
| [Discussions](user/discussions/index.html) | 问题，提交和合并请求中的线程，注释和可解决线程. |
| [Due Dates](user/project/issues/due_dates.html) | 跟踪发行期限. |
| [Epics](user/group/epics/index.html) | 跟踪共享主题的问题组. |
| [问题](user/project/issues/index.html) ，包括[机密问题](user/project/issues/confidential_issues.html) ，[发布和合并请求模板](user/project/description_templates.html) ，和[移动的问题](user/project/issues/managing_issues.html#moving-issues) | 项目问题并限制对问题的访问，并创建用于提交新问题和合并请求的模板. 此外，在项目之间转移问题. |
| [Labels](user/project/labels.html) | 分类问题或使用描述性标签合并请求. |
| [Milestones](user/project/milestones/index.html) | 设置发布问题和合并请求的里程碑，并带有可选的截止日期. |
| [Project Issue Board](user/project/issue_board.html) | 在 Scrum 或看板上显示问题. |
| [Quick Actions](user/project/quick_actions.html) | 针对问题或合并请求的常见操作的快捷方式，而无需单击按钮或在 GitLab 的 UI 中使用下拉菜单. |
| [Related Issues](user/project/issues/related_issues.html) | 在问题之间建立关系. |
| [Requirements Management](user/project/requirements/index.html) | Check your products against a set of criteria. |
| [Roadmap](user/group/roadmap/index.html) | 可视化史诗般的时间表. |
| [Service Desk](user/project/service_desk.html) | 一种允许人们在不需要自己的用户帐户的情况下在您的 GitLab 实例中创建问题的简单方法. |
| [Time Tracking](user/project/time_tracking.html) | 跟踪花费在问题和合并请求上的时间. |
| [Todos](user/todos.html) | 通过在简单仪表板上显示的时间顺序列表，跟踪需要注意的工作. |

[Back to Overview](#overview)

### Create[](#create "Permalink")

将源代码整合到一个易于管理和控制的[分布式版本控制系统中](https://en.wikipedia.org/wiki/Distributed_version_control) ，而不会中断您的工作流程.

GitLab 存储库随附分支工具和访问控制，可为项目和代码的协作提供可扩展的单一事实来源.

以下文档与 DevOps **Create**阶段有关：

#### Projects and Groups[](#projects-and-groups "Permalink")

| 创建主题-项目和组 | Description |
| --- | --- |
| [Advanced global search](user/search/advanced_global_search.html) | 利用 Elasticsearch 在整个 GitLab 实例上进行更快，更高级的代码搜索. |
| [Advanced syntax search](user/search/advanced_search_syntax.html) | 使用高级查询获得更具针对性的搜索结果. |
| [Contribution analytics](user/group/contribution_analytics/index.html) | 请参阅小组贡献者的详细统计信息. |
| [创建](gitlab-basics/create-project.html)并[派生](gitlab-basics/fork-project.html)项目，以及
[进出口项目](user/project/settings/import_export.html) [](user/project/settings/import_export.html) [实例之间](user/project/settings/import_export.html) | 创建，复制和移动项目. |
| [File locking](user/project/file_lock.html) | 锁定文件以避免合并冲突. |
| [GitLab Pages](user/project/pages/index.html) | 使用 GitLab Pages 构建，测试和部署您的静态网站. |
| [Groups](user/group/index.html) and [Subgroups](user/group/subgroups/index.html) | 分组组织您的项目. |
| [Issues Analytics](user/group/issues_analytics/index.html) | 检查每月创建了多少个问题. |
| [项目](user/project/index.html) ，包括[项目访问](public_access/public_access.html)
和[设置](user/project/settings/index.html) | 托管源代码，并控制项目的可见性和设置配置. |
| [Search through GitLab](user/search/index.html) | 搜索问题，合并请求，项目，组和待办事项. |
| [Snippets](user/snippets.html) | 片段使您可以创建一些代码. |
| [Web IDE](user/project/web_ide/index.html) | 在 GitLab 的用户界面中编辑文件. |
| [Static Site Editor](user/project/static_site_editor/index.html) | 在静态网站上编辑内容. |
| [Wikis](user/project/wiki/index.html) | 使用内置的 Wiki 增强您的存储库文档. |

[Back to Overview](#overview)

#### Repositories[](#repositories "Permalink")

| 创建主题-存储库 | Description |
| --- | --- |
| [分支](user/project/repository/branches/index.html)和[默认分支](user/project/repository/branches/index.html#default-branch) | 如何在 GitLab 中使用分支. |
| [Commits](user/project/repository/index.html#commits) and [signing commits](user/project/repository/gpg_signed_commits/index.html) | 处理提交，并使用 GPG 对您的提交进行签名. |
| [创建分支](user/project/repository/web_editor.html#create-a-new-branch) ， [创建](user/project/repository/web_editor.html#create-a-file)
并[上传](user/project/repository/web_editor.html#upload-a-file)文件，并[创建目录](user/project/repository/web_editor.html#create-a-directory) | 在 GitLab 中创建分支，创建和上传文件以及创建目录. |
| [Delete merged branches](user/project/repository/branches/index.html#delete-merged-branches) | 合并更改后的批量删除分支. |
| [File templates](user/project/repository/web_editor.html#template-dropdowns) | 通用文件的文件模板. |
| [Files](user/project/repository/index.html#files) | 文件管理. |
| [Jupyter Notebook files](user/project/repository/jupyter_notebooks/index.html#jupyter-notebook-files) | GitLab 对`.ipynb`文件的支持. |
| [Protected branches](user/project/protected_branches.html) | 使用受保护的分支. |
| [Push rules](push_rules/push_rules.html) | 对项目推送的附加控制. |
| [Repositories](user/project/repository/index.html) | 在 GitLab 的用户界面中管理源代码存储库. |
| [Repository mirroring](user/project/repository/repository_mirroring.html) | 推入或拉出 GitLab 外部的存储库 |
| [Start a merge request](user/project/repository/web_editor.html#tips) | 通过 GitLab 的用户界面提交时启动合并请求. |

[Back to Overview](#overview)

#### Merge Requests[](#merge-requests "Permalink")

| 创建主题-合并请求 | Description |
| --- | --- |
| [Checking out merge requests locally](user/project/merge_requests/reviewing_and_managing_merge_requests.html#checkout-merge-requests-locally) | 在本地处理合并请求的提示. |
| [Cherry-picking](user/project/merge_requests/cherry_pick_changes.html) | 使用 GitLab 进行挑剔的更改. |
| [Merge request thread resolution](user/discussions/index.html#moving-a-single-thread-to-a-new-issue) | 解析线程，将合并请求中的线程移至问题，并且仅在解决所有线程后才允许合并请求. |
| [Merge requests](user/project/merge_requests/index.html) | 合并请求管理. |
| [**Draft** merge requests](user/project/merge_requests/work_in_progress_merge_requests.html) | 防止合并草稿合并请求. |

[Back to Overview](#overview)

#### Integration and Automation[](#integration-and-automation "Permalink")

| 创建主题-集成和自动化 | Description |
| --- | --- |
| [GitLab API](api/README.html) | 通过简单而强大的 API 集成 GitLab. |
| [GitLab Integration](integration/README.html) | 与 GitLab 集成多个第三方服务，以允许外部问题跟踪器和外部身份验证. |
| [GitLab Webhooks](user/project/integrations/webhooks.html) | 当新代码被推送到您的项目时，让 GitLab 通知您. |
| [Jira Development Panel](integration/jira_development_panel.html) | 请参阅 Jira 开发面板中的 GitLab 信息. |
| [Integrations](user/project/integrations/overview.html) | 将项目与外部服务（例如 CI 和聊天）集成. |
| [Trello Power-Up](integration/trello_power_up.html) | 与 GitLab 的 Trello 上电集成. |

[Back to Overview](#overview)

### Verify[](#verify "Permalink")

内置的静态代码分析，代码测试，代码质量，依赖项检查和 Review Apps 可以更快地发现错误，提高安全性并缩短反馈周期. 自定义您的批准工作流控件，自动测试代码质量，并为每个代码更改启动过渡环境.

GitLab 持续集成是最受欢迎的下一代测试系统，可以扩展以更快地运行测试.

以下文档与 DevOps **验证**阶段有关：

| 验证主题 | Description |
| --- | --- |
| [Code Quality reports](user/project/merge_requests/code_quality.html) | 分析源代码质量. |
| [GitLab CI/CD](ci/README.html) | 探索与 GitLab 持续集成的特​​性和功能. |
| [JUnit test reports](ci/junit_test_reports.html) | 显示有关合并请求的 JUnit 测试报告. |
| [Multi-project pipelines](ci/multi_project_pipelines.html) | 可视化跨越多个项目的整个管道，包括所有跨项目的相互依赖关系. |
| [Pipeline Graphs](ci/pipelines/index.html#visualize-pipelines) | 可视化构建. |
| [Review Apps](ci/review_apps/index.html) | 直接从合并请求预览对应用程序的更改. |

[Back to Overview](#overview)

### Package[](#package "Permalink")

GitLab 软件包允许组织将 GitLab 用作各种常见软件包管理器的私有存储库. 用户能够构建和发布程序包，这些程序包可以很容易地作为下游项目中的依赖项使用.

以下文档与 DevOps **Package**阶段有关：

| 套餐主题 | Description |
| --- | --- |
| [Container Registry](user/packages/container_registry/index.html) | GitLab 容器注册表使 GitLab 中的每个项目都有自己的空间来存储[Docker](https://www.docker.com/)映像. |
| [Dependency Proxy](user/packages/dependency_proxy/index.html) | GitLab 依赖代理为经常使用的上游映像/软件包设置了本地代理. |
| [Conan Repository](user/packages/conan_repository/index.html) | GitLab 柯南存储库使 GitLab 中的每个项目都有自己的空间来存储[柯南](https://conan.io/)软件包. |
| [Maven Repository](user/packages/maven_repository/index.html) | GitLab Maven 存储库使 GitLab 中的每个项目都有自己的空间来存储[Maven](https://maven.apache.org/)软件包. |
| [NPM Registry](user/packages/npm_registry/index.html) | GitLab NPM 注册表使 GitLab 中的每个项目都有自己的空间来存储[NPM](https://s0www0npmjs0com.icopy.site/)软件包. |

[Back to Overview](#overview)

### Release[](#release "Permalink")

花更少的时间配置工具，而花更多的时间创建. 无论您要部署到一台服务器还是数千台服务器，都可以通过 GitLab 内置的持续交付和部署来自信，安全地构建，测试和发布代码.

以下文档与 DevOps **发布**阶段有关：

| 发布主题 | Description |
| --- | --- |
| [Auto Deploy](topics/autodevops/stages.html#auto-deploy) | 配置 GitLab 以部署应用程序. |
| [Canary Deployments](user/project/canary_deployments.html) | 采用流行的 CI 策略，首先将机队的一小部分更新为新版本. |
| [Deploy Boards](user/project/deploy_boards.html) | 查看 Kubernetes 上运行的每个 CI 环境的当前运行状况和状态，显示部署中 Pod 的状态. |
| [Environments and deployments](ci/environments/index.html) | 借助环境，您可以控制 GitLab 中软件的连续部署. |
| [Environment-specific variables](ci/variables/README.html#limit-the-environment-scopes-of-environment-variables) | 将变量的范围限制为特定的环境. |
| [GitLab CI/CD](ci/README.html) | 探索使用 GitLab 进行持续部署和交付的功能. |
| [GitLab Pages](user/project/pages/index.html) | 直接从 GitLab 构建，测试和部署静态站点. |
| [Protected Runners](ci/runners/README.html#prevent-runners-from-revealing-sensitive-information) | 选择"运行程序"仅选择受保护的分支和标签的作业. |
| [Scheduled Pipelines](ci/pipelines/schedules.html) | 按计划执行管道. |

[Back to Overview](#overview)

### Configure[](#configure "Permalink")

使用 GitLab Auto DevOps 自动执行从构建到部署和监视的整个工作流程. 最佳实践模板可帮助您从最小到零的配置开始. 然后自定义所有内容，从构建包到 CI / CD.

以下文档与 DevOps **配置**阶段有关：

| 配置主题 | Description |
| --- | --- |
| [Auto DevOps](topics/autodevops/index.html) | 自动采用完整的 DevOps 生命周期. |
| [Create Kubernetes clusters](user/project/clusters/add_remove_clusters.html#create-new-cluster) | 使用 Kubernetes 和 GitLab |
| [Executable Runbooks](user/project/clusters/runbooks/index.html) | 记录了说明如何执行特定过程的过程. |
| [GitLab ChatOps](ci/chatops/README.html) | 通过聊天服务与 CI / CD 作业进行交互. |
| [Installing Applications](user/project/clusters/index.html#installing-applications) | 在 Kubernetes 上安装 Helm 图表，例如 Ingress 和 Prometheus. |
| [Mattermost slash commands](user/project/integrations/mattermost_slash_commands.html) | 从 Mattermost 内部启用和使用斜杠命令. |
| [Multiple Kubernetes Clusters](user/project/clusters/index.html#multiple-kubernetes-clusters) | 将多个 Kubernetes 集群关联到您的项目. |
| [Protected variables](ci/variables/README.html#protect-a-custom-variable) | 将变量限制为受保护的分支和标签. |
| [Serverless](user/project/clusters/serverless/index.html) | 在 Kubernetes 上运行无服务器工作负载. |
| [Slack slash commands](user/project/integrations/slack_slash_commands.html) | 在 Slack 中启用和使用斜杠命令. |
| [Manage your infrastructure with Terraform](user/infrastructure/index.html) | 运行 CI / CD 管道时管理基础结构. |

[Back to Overview](#overview)

### Monitor[](#monitor "Permalink")

确保您的应用程序始终响应并可用.

GitLab 收集并显示已部署应用程序的性能指标，因此您可以立即知道代码更改如何影响您的生产环境.

以下文档与 DevOps **Monitor**阶段有关：

| 监控主题 | Description |
| --- | --- |
| [GitLab Performance Monitoring](administration/monitoring/performance/index.html) | 使用 Prometheus 和 Grafana 监视您的 GitLab 实例的性能. |
| [GitLab Prometheus](administration/monitoring/prometheus/index.html) | 配置捆绑的 Prometheus，以从您的 GitLab 实例收集各种指标. |
| [Health check](user/admin_area/monitoring/health_check.html) | GitLab provides liveness and readiness probes to indicate service health and reachability to required services. |
| [Prometheus project integration](user/project/integrations/prometheus.html) | 配置每个项目的 Prometheus 集成并监视您的 CI / CD 环境. |
| [Prometheus metrics](user/project/integrations/prometheus_library/index.html) | 让 Prometheus 从各种服务中收集指标，例如 Kubernetes，NGINX，NGINX Ingress 控制器，HAProxy 和 Amazon Cloud Watch. |
| [Incident management](user/incident_management/index.html) | 使用 GitLab 可以帮助您更好地响应系统中可能发生的事件. |

[Back to Overview](#overview)

### Secure[](#secure "Permalink")

检查您的应用程序是否存在安全漏洞，这些漏洞可能导致未经授权的访问，数据泄漏和服务拒绝. GitLab 将对您的应用程序代码执行静态和动态测试，查找已知缺陷并在合并请求中报告这些缺陷，以便您可以在合并之前修复它们. 安全团队可以使用仪表板来获得项目和组的高级视图，并在需要时启动补救过程.

以下文档与 DevOps **Secure**阶段有关：

| 安全主题 | Description |
| --- | --- |
| [Compliance Dashboard](user/compliance/compliance_dashboard/index.html) | 查看组中的最新"合并请求"活动. |
| [Container Scanning](user/application_security/container_scanning/index.html) | 使用 Clair 扫描 Docker 映像中的已知漏洞. |
| [Dependency List](user/application_security/dependency_list/index.html) | 查看项目的依存关系及其已知漏洞. |
| [Dependency Scanning](user/application_security/dependency_scanning/index.html) | 分析您的依赖项是否存在已知漏洞. |
| [Dynamic Application Security Testing (DAST)](user/application_security/dast/index.html) | 分析运行中的 Web 应用程序是否存在已知漏洞. |
| [Group Security Dashboard](user/application_security/security_dashboard/index.html#group-security-dashboard) | 查看组及其子组中所有项目中的漏洞. |
| [Instance Security Dashboard](user/application_security/security_dashboard/index.html#instance-security-dashboard) | 查看您感兴趣的所有项目中的漏洞. |
| [License Compliance](user/compliance/license_compliance/index.html) | 在项目的依赖项中搜索其许可证. |
| [Pipeline Security](user/application_security/security_dashboard/index.html#pipeline-security) | 查看项目管道的安全报告. |
| [Project Security Dashboard](user/application_security/security_dashboard/index.html#project-security-dashboard) | 查看项目的最新安全报告. |
| [Static Application Security Testing (SAST)](user/application_security/sast/index.html) | 分析源代码中的已知漏洞. |

## New to Git and GitLab?[](#new-to-git-and-gitlab "Permalink")

使用新系统可能会令人生畏.

我们有以下文档可快速提升您的 GitLab 知识：

| Topic | Description |
| --- | --- |
| [GitLab basics guides](gitlab-basics/README.html) | 开始在命令行和 GitLab 上工作. |
| [GitLab workflow overview](https://about.gitlab.com/blog/2016/10/25/gitlab-workflow-an-overview/) | 利用最佳的 GitLab 工作流程增强您的工作流程. |
| [Get started with GitLab CI/CD](ci/quick_start/README.html) | 快速实施 GitLab CI / CD. |
| [Auto DevOps](topics/autodevops/index.html) | 了解有关 GitLab Auto DevOps 的更多信息. |
| [GitLab Markdown](user/markdown.html) | GitLab 的高级格式化系统（GitLab Flavored Markdown） |

[Back to Overview](#overview)

### User account[](#user-account "Permalink")

了解有关 GitLab 帐户管理的更多信息：

| Topic | Description |
| --- | --- |
| [User account](user/profile/index.html) | 管理您的帐户. |
| [Authentication](topics/authentication/index.html) | 具有两因素身份验证的帐户安全性，设置您的 SSH 密钥，并部署密钥以安全地访问您的项目. |
| [Profile settings](user/profile/index.html#profile-settings) | 管理您的个人资料设置，两因素身份验证等. |
| [User permissions](user/permissions.html) | 了解项目中的每个角色可以做什么. |

[Back to Overview](#overview)

### Git and GitLab[](#git-and-gitlab "Permalink")

了解有关使用 Git 以及将 Git 与 GitLab 结合使用的更多信息：

| Topic | Description |
| --- | --- |
| [Git](topics/git/index.html) | Git 入门，分支策略，Git LFS 和高级用法. |
| [Git cheat sheet](https://about.gitlab.com/images/press/git-cheat-sheet.pdf) | 下载描述最常用的 Git 操作的 PDF. |
| [GitLab Flow](topics/gitlab_flow.html) | 使用 GitLab Flow 策略探索 Git 的精华. |

[Back to Overview](#overview)

## Coming to GitLab from another platform[](#coming-to-gitlab-from-another-platform "Permalink")

如果您是从另一个平台进入 GitLab，您会发现以下有用信息：

| Topic | Description |
| --- | --- |
| [Importing to GitLab](user/project/import/index.html) | 从 GitHub，Bitbucket，GitLab.com，FogBugz 和 SVN 导入项目到 GitLab. |
| [Migrating from SVN](user/project/import/svn.html) | 将 SVN 存储库转换为 Git 和 GitLab. |

[Back to Overview](#overview)

## Build an integration with GitLab[](#build-an-integration-with-gitlab "Permalink")

与 GitLab 集成的方法很多，包括：

| Topic | Description |
| --- | --- |
| [GitLab API](api/README.html) | 通过简单而强大的 API 集成 GitLab. |
| [Integrations and automation](#integration-and-automation) | 所有的 GitLab 集成和自动化选项. |

[Back to Overview](#overview)

## Contributing to GitLab[](#contributing-to-gitlab "Permalink")

GitLab 社区版是[开源的，](https://gitlab.com/gitlab-org/gitlab-foss/)而 GitLab 企业版是[开放核的](https://gitlab.com/gitlab-org/gitlab/) .

了解如何通过以下资源为 GitLab 做出贡献：

| Topic | Description |
| --- | --- |
| [Development](development/README.html) | 如何为 GitLab 开发做出贡献. |
| [Legal](legal/README.html) | 贡献者许可协议. |
| [Writing documentation](development/documentation/index.html) | 如何为 GitLab 文档做出贡献. |

[Back to Overview](#overview)